<?php

namespace App\Http\Controllers;

use App\Models\Inyeccion;
use Illuminate\Http\Request;

use Illuminate\Support\Facades\Storage;

class InyeccionController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Inyeccion  $inyeccion
     * @return \Illuminate\Http\Response
     */
    public function show(Inyeccion $inyeccion)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Inyeccion  $inyeccion
     * @return \Illuminate\Http\Response
     */
    public function edit()
    {
        $inyeccion = Inyeccion::find(1);
        return view('adm.inyeccion.edit')->with('inyeccion', $inyeccion);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Inyeccion  $inyeccion
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Inyeccion $inyeccion)
    {
        $inyeccion_ = Inyeccion::find(1);
        $inyeccion_->texto = $request->texto;
        if($request->hasFile('foto')){
            if($request->file('foto')->isValid()){
                Storage::delete($inyeccion_->foto);
                $foto = $request->file('foto')->store('public/inyeccion');
                $inyeccion_->foto = $foto;
            }
        }
        if($inyeccion_->save()){
            $inyeccion = Inyeccion::find(1);
            return redirect()->route('editarInyeccion')->with('inyeccion', $inyeccion);
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Inyeccion  $inyeccion
     * @return \Illuminate\Http\Response
     */
    public function destroy(Inyeccion $inyeccion)
    {
        //
    }
}
